- Qt 6.5
- Qt Widgets
- C++ Classes
- QTreeWidgetItem
- Qt 6.5.3 Reference Documentation

# Obsolete Members for QTreeWidgetItem

The following members of class QTreeWidgetItem are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` void | setTextAlignment(int column, int alignment)

## Member Function Documentation

### void QTreeWidgetItem::setTextAlignment(int column, int alignment)

This function is deprecated. We strongly advise against using it in new code.

Use the overload that takes a Qt::Alignment argument.

Sets the text alignment for the label in the given column to the alignment specified.

See also textAlignment() and Qt::Alignment.